geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From maho77 <m.hoffm...@mvolution.de>
Subject update geronimo mail configuration from geronimo-javamail_1.4_mail-1.2 to 1.4_mail-1.5-SNAPSHOT
Date Wed, 23 Apr 2008 17:22:56 GMT

Hello,

yesterday I have posted a problem with Messages in the geronimo javamail
package 1.4-1.2. In the meantime I build version 1.4-1.5-SNAPSHOT from the
svn trunk. How can I tell my geronimo2.0.2 to use the newer version instead
of the 1.2?

I tried to rename the old jar in the 1.2 repository folder, put in the new
version and rename it that it has the name of the old jar. After a server
restart it worked without any exceptions. The same worked with the sun
implementation. 
But I don't like this way.

What is the official way to change such a configuration in Geronimo? I know
there are dependency to other packages (geronimo.config/jee-specs and
geronimo.config/activation) But I didn't found any deployment plans for them
to see how the dependencies are configured. 

Does the var/config/client_artifact_aliases.properties help me in any way? I
already tried to substitute the old jar with the new one but it seems to
work only for system modules and not for jars that are deployed in the
common libs section of the frontend.

Thank you,

Mark
-- 
View this message in context: http://www.nabble.com/update-geronimo-mail-configuration-from-geronimo-javamail_1.4_mail-1.2-to-1.4_mail-1.5-SNAPSHOT-tp16834723s134p16834723.html
Sent from the Apache Geronimo - Users mailing list archive at Nabble.com.


Mime
View raw message